image: python:3.8

stages:
  - build

create_report:
  stage: build
  script:
    - pip install -r requirements.txt
    - python crawl_integrations.py $GIT_TOKEN config.yml --gitlab $CI_SERVER_URL
  artifacts:
    expose_as: 'integration report'
    paths:
      - project_integrations.json